import React, {Component} from 'react';
import './Styles/Home.css';
import SearchSection from '../Components/SearchSection';
import SubPages from '../Components/AreasSubPages';
import StatsBar from '../Components/StatsBar';
import Funcionalities from '../Components/Funcionalities';
class App extends Component {
  constructor(props){
    super(props);
    this.state={
      bannerState: "Recursos"
    };
    this.changeBanner = this.changeBanner.bind(this)
  }

  changeBanner(parameter){
    this.setState({
      bannerState: parameter
    });
  }

    render() {
      return (
        <React.Fragment>
          <SearchSection function={this.changeBanner} banner={this.state.bannerState}/>
          <SubPages banner={this.state.bannerState}/>
          <StatsBar/>
          <Funcionalities/>
        </React.Fragment>
      );
    }
  }

export default App;
